// Copyright 2021 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Code generated by protoc-gen-go_gapic. DO NOT EDIT.

package resourcesettings_test

import (
	"context"

	resourcesettings "cloud.google.com/go/resourcesettings/apiv1"
	"google.golang.org/api/iterator"
	resourcesettingspb "google.golang.org/genproto/googleapis/cloud/resourcesettings/v1"
)

func ExampleNewClient() {
	ctx := context.Background()
	c, err := resourcesettings.NewClient(ctx)
	if err != nil {
		// TODO: Handle error.
	}
	// TODO: Use client.
	_ = c
}

func ExampleClient_ListSettings() {
	// import resourcesettingspb "google.golang.org/genproto/googleapis/cloud/resourcesettings/v1"
	// import "google.golang.org/api/iterator"

	ctx := context.Background()
	c, err := resourcesettings.NewClient(ctx)
	if err != nil {
		// TODO: Handle error.
	}

	req := &resourcesettingspb.ListSettingsRequest{
		// TODO: Fill request struct fields.
	}
	it := c.ListSettings(ctx, req)
	for {
		resp, err := it.Next()
		if err == iterator.Done {
			break
		}
		if err != nil {
			// TODO: Handle error.
		}
		// TODO: Use resp.
		_ = resp
	}
}

func ExampleClient_SearchSettingValues() {
	// import resourcesettingspb "google.golang.org/genproto/googleapis/cloud/resourcesettings/v1"
	// import "google.golang.org/api/iterator"

	ctx := context.Background()
	c, err := resourcesettings.NewClient(ctx)
	if err != nil {
		// TODO: Handle error.
	}

	req := &resourcesettingspb.SearchSettingValuesRequest{
		// TODO: Fill request struct fields.
	}
	it := c.SearchSettingValues(ctx, req)
	for {
		resp, err := it.Next()
		if err == iterator.Done {
			break
		}
		if err != nil {
			// TODO: Handle error.
		}
		// TODO: Use resp.
		_ = resp
	}
}

func ExampleClient_GetSettingValue() {
	// import resourcesettingspb "google.golang.org/genproto/googleapis/cloud/resourcesettings/v1"

	ctx := context.Background()
	c, err := resourcesettings.NewClient(ctx)
	if err != nil {
		// TODO: Handle error.
	}

	req := &resourcesettingspb.GetSettingValueRequest{
		// TODO: Fill request struct fields.
	}
	resp, err := c.GetSettingValue(ctx, req)
	if err != nil {
		// TODO: Handle error.
	}
	// TODO: Use resp.
	_ = resp
}

func ExampleClient_LookupEffectiveSettingValue() {
	// import resourcesettingspb "google.golang.org/genproto/googleapis/cloud/resourcesettings/v1"

	ctx := context.Background()
	c, err := resourcesettings.NewClient(ctx)
	if err != nil {
		// TODO: Handle error.
	}

	req := &resourcesettingspb.LookupEffectiveSettingValueRequest{
		// TODO: Fill request struct fields.
	}
	resp, err := c.LookupEffectiveSettingValue(ctx, req)
	if err != nil {
		// TODO: Handle error.
	}
	// TODO: Use resp.
	_ = resp
}

func ExampleClient_CreateSettingValue() {
	// import resourcesettingspb "google.golang.org/genproto/googleapis/cloud/resourcesettings/v1"

	ctx := context.Background()
	c, err := resourcesettings.NewClient(ctx)
	if err != nil {
		// TODO: Handle error.
	}

	req := &resourcesettingspb.CreateSettingValueRequest{
		// TODO: Fill request struct fields.
	}
	resp, err := c.CreateSettingValue(ctx, req)
	if err != nil {
		// TODO: Handle error.
	}
	// TODO: Use resp.
	_ = resp
}

func ExampleClient_UpdateSettingValue() {
	// import resourcesettingspb "google.golang.org/genproto/googleapis/cloud/resourcesettings/v1"

	ctx := context.Background()
	c, err := resourcesettings.NewClient(ctx)
	if err != nil {
		// TODO: Handle error.
	}

	req := &resourcesettingspb.UpdateSettingValueRequest{
		// TODO: Fill request struct fields.
	}
	resp, err := c.UpdateSettingValue(ctx, req)
	if err != nil {
		// TODO: Handle error.
	}
	// TODO: Use resp.
	_ = resp
}

func ExampleClient_DeleteSettingValue() {
	ctx := context.Background()
	c, err := resourcesettings.NewClient(ctx)
	if err != nil {
		// TODO: Handle error.
	}

	req := &resourcesettingspb.DeleteSettingValueRequest{
		// TODO: Fill request struct fields.
	}
	err = c.DeleteSettingValue(ctx, req)
	if err != nil {
		// TODO: Handle error.
	}
}
